This repo contains the working [Home Assistant](https://home-assistant.io/) configuration for **Ken Johnson**. Below are links to the devices currently being used, blog posts, and other HA enthusists that provided inspiration and 
configs to help build this config. All of the code is free to use.

This is v1 of my config

#### Devices:
* Various Apple Devices (iPhones, iPads)
* Google Pixel 2XL


##### Networking
* [Ubiquiti Unifi Ap-AC Lite - Wireless Access Point](https://smile.amazon.com/gp/product/B015PR20GY/ref=ppx_yo_dt_b_search_asin_title?ie=UTF8&psc=1)
* [GoControl CECOMINOD016164 HUSBZB-1 USB Hub](https://smile.amazon.com/gp/product/B01GJ826F8/ref=ppx_yo_dt_b_search_asin_title?ie=UTF8&psc=1)
* [Z-Wave.Me USB Smart Home Stick](https://smile.amazon.com/gp/product/B00VKEH1BQ/ref=ppx_yo_dt_b_search_asin_title?ie=UTF8&psc=1)

##### Media
* AppleTv
* Google Home Hub / Home Mini
* [Amazon Echo Dot](https://www.amazon.com/gp/product/B07W95GZNH/ref=as_li_ss_tl?ie=UTF8&linkCode=ll1&tag=thejeffreysto-20&linkId=5cd455fd06e21ad09017d90ca588fce3&language=en_US)
* [Amazon Echo](https://www.amazon.com/gp/product/B0794W1SKP/ref=as_li_ss_tl?ie=UTF8&linkCode=ll1&tag=thejeffreysto-20&linkId=2c0b37b092008eb917fa7b18c676a297&language=en_US)


##### Switches / Plugs
* [LiftMaster 888LM+828LM MyQ Retrofit Package](https://smile.amazon.com/gp/product/B00IPKPVCE/ref=ppx_yo_dt_b_search_asin_title?ie=UTF8&psc=1)
* [UltraPro Z-Wave Plus Smart Light Switch](https://smile.amazon.com/gp/product/B07B3LY1SJ/ref=ox_sc_saved_title_1?smid=ATVPDKIKX0DER&th=1)
* [SONOFF S31 Lite Zigbee Smart Plug US Type 4-Pack](https://smile.amazon.com/dp/B08Y87WD1X?psc=1&ref=ppx_yo2_dt_b_product_details)
* [UltraPro Z-Wave Plus Smart Light Dimmer Switch, In-Wall White Paddle](https://smile.amazon.com/dp/B07B3LXZJ9?psc=1&ref=ppx_yo2_dt_b_product_details)
* [UltraPro Smart Controls ONLY | NOT A STANDALONE White Paddles](https://smile.amazon.com/dp/B08MDFDS4W?psc=1&ref=ppx_yo2_dt_b_product_details)
* [Zooz Z-Wave Plus Power Switch ZEN15](https://smile.amazon.com/dp/B07578W7KY?psc=1&ref=ppx_yo2_dt_b_product_details)
* [Enbrighten, White & Light Almond, Z-Wave Plus Smart Fan Control](https://smile.amazon.com/GE-Enbrighten-Required-SmartThings-14287/dp/B06XTKQTTV/ref=sr_1_5?crid=12K4R2UB4UKSC&dchild=1&keywords=ge+fan+control+zwave&qid=1624633261&sprefix=GE+Fan+control%2Caps%2C212&sr=8-5)
* [Insteon Smart Dimmer Wall Switch](https://smile.amazon.com/Insteon-Dual-Mesh-Technology-Unbeatable-Reliability/dp/B003ZTVZ0W/ref=sr_1_2?dchild=1&keywords=insteon&qid=1624633337&sr=8-2)
* [Insteon Smart On/Off 6-Button Keypad, KeypadLinc In-Wall Controller, 2487S](https://smile.amazon.com/Insteon-2487S-4-Scene-Keypad-White/dp/B005CDXGD8/ref=sr_1_8?dchild=1&keywords=insteon&qid=1624633371&sr=8-8)
* [Insteon 2475F FanLinc Insteon Dual-Band Ceiling Fan and Light Controller](https://smile.amazon.com/Insteon-2475F-FanLinc-Dual-Band-Controller/dp/B00715SU4A/ref=sr_1_9?dchild=1&keywords=insteon&qid=1624633405&sr=8-9)
* [Insteon 2843-292 DOOR/WINDOW SENSOR](https://smile.amazon.com/Insteon-2843-292-WINDOW-SENSOR-RETAIL/dp/B00O0LH9SQ/ref=sr_1_18?dchild=1&keywords=insteon&qid=1624633432&sr=8-18)
* [WeMo Mini Smart Plug, WiFi Enabled](https://smile.amazon.com/WeMo-Assistant-Compatible-Certified-Refurbished/dp/B08TCHTDLK/ref=sr_1_11?dchild=1&keywords=wemo&qid=1624633543&sr=8-11_)
* [Wemo F7C030fc Light Switch, WiFi enabled](https://smile.amazon.com/Light-Switch-enabled-Google-Assistant/dp/B00DGEGJ02/ref=sr_1_23?dchild=1&keywords=wemo&qid=1624633573&sr=8-23)

##### Lights
* [Sengled LED Color Plus (Zigbee)](https://www.amazon.com/gp/product/B073ZBYXKQ/ref=as_li_ss_tl?ie=UTF8&linkCode=ll1&tag=thejeffreysto-20&linkId=74939562b8889e2b750d9b01fd347b48&language=en_US)
* [Innr Zigbee Smart Bulb Color A19](https://smile.amazon.com/dp/B08428JSDZ?psc=1&ref=ppx_yo2_dt_b_product_details)

##### Sensors
* [ZOOZ Z-Wave Plus 4-in-1 Sensor ZSE40](https://smile.amazon.com/dp/B01AKSO80O?psc=1&ref=ppx_yo2_dt_b_product_details)
* [Sengled Smart Door Sensor - 4pk](https://smile.amazon.com/dp/B092DGGB6Y?psc=1&ref=ppx_yo2_dt_b_product_details)
* [SONOFF SNZB-02 ZigBee Mini Indoor Temperature and Humidity Sensor](https://smile.amazon.com/dp/B08BCJNDYQ?psc=1&ref=ppx_yo2_dt_b_product_details)



#### Integrations:
* Amazon Echo - Voice Control and Music
* IFTTT - Automations
* Google (Calendar API, GMail for sensors, and Google Home) - Voice Control, Automations based on Calendar, USPS Informed Delivery
* Waze API - Transit time and Automations
* MQTT - For Zwave, Zigbee, various sensors running on a different host.
* Various other services and APIs
